:root{
    --bg-color: #fffffe;
    --text-color: #2b2c34;
    --header-color: #fbfbfb;
    --bright-color: #f25042;
}

*,
*::before,
*::after{
    box-sizing: border-box;
    margin: 0;
}

h1,h2,h3,h4,h5,h6,p{
    padding: 0;
}

/* ul,ol{
    font-size: 0;
    padding: 0;
}

li{
    list-style: none;
    font-size: 16px;
} */

body{
    margin: 0;
    font-family: 'Montserrat Alternates', sans-serif;
    font-size: 16px;
    color: var(--text-color);
    background-color: var(--bg-color);
}

button{
    background-color: transparent;
    border: 0;
    padding: 0;
    margin: 0;
}

.wrapper{
    width: 100%;
    min-height: 100vh;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.container{
    margin: 0 auto;
    max-width: 1170px;
    width: 100%;
    padding: 0 10px;
}


/* header */


.header{
    position: fixed;
    z-index: 1000;
    width: 100%;
    min-height: 80px;
    display: flex;
    align-items: center;
    padding: 10px 0;
    background-color: var(--header-color);
}

.header__wrapper{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header__logo{
    max-width: 110px;
}

.header__logo img{
    width: 100%;
}


/* .header__burger-btn */


.header__burger-btn{
    position: relative;
    width: 50px;
    padding: 15px 0;
    display: none;
}

.header__burger-btn span{
    display: block;
    width: 100%;
    background-color: var(--text-color);
    height: 7px;
    transition: .2s ease-in-out;
}

.header__burger-btn::before,
.header__burger-btn::after{
    content: '';
    display: block;
    width: 100%;
    height: 7px;
    position: absolute;
    left: 0;
    background-color: var(--text-color);
    transition: .2s ease-in-out;
}

.header__burger-btn::before{top: 0;}
.header__burger-btn::after{bottom: 0;}


.header__burger-btn.opened span{
    opacity: 0;
}

.header__burger-btn.opened::before{
    top: 50%;
    transform: translateY(-50%) rotate(45deg);
}
.header__burger-btn.opened::after{
    top: 50%; 
    transform: translateY(-50%) rotate(-45deg);
}


/* nav */


.nav ul{
    display: flex;
    gap: 15px;
    padding: 0;
}

.nav__item{
    padding: 10px 0;
    position: relative;
    overflow: hidden;
}

.nav__item.active .nav__link{
    color: var(--bright-color);
}

.nav__item.active::after{
    left: 0;
}

.nav__item::after{
    content: "";
    display: block;
    width: 100%;
    height: 5px;
    background-color: var(--bright-color);

    position: absolute;
    bottom: 0;
    left: -100%;

    transition: .2s ease-in-out;
}

.nav__item:hover::after{
    left: 0;
}

.nav__item:hover .nav__link{
    color: var(--bright-color)
}

.nav__link{
    text-decoration: none;
    font-family: 'Montserrat Alternates', sans-serif;
    font-size: 13px;
    font-weight: 700;
    color: var(--text-color);
    padding-bottom: 12px;
    transition: .2s ease-in-out;
}

/* main */

.main{
    width: 100%;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 90px;
    margin-bottom: 50px;
}

.main__wrapper{
    margin-top: 30px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}


.title{
    color: var(--bright-color);
    text-align: center;
}

.main__title{
    margin-top: 50px;
}

.main__img{
    position: relative;
    padding-top: 42%;
    width: 30%;
    height: 0;
    overflow: hidden;
    border-radius: 5px;
}

.main__img img{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    top: 0;
    left: 0;
}

.main__text{
    width: 65%;
    line-height: 1.6;
    display: flex;
    flex-direction: column;
    gap: 15px;
}


.main__text-item{
    display: block;
    text-align: center;
}

.main__text-item span{
    color: var(--bright-color);
    font-weight: 900;
}

.main__text-item.services{
    line-height: 2;
}

.main__text-item.contacts{
    text-align: left;
}

.main__text-title{
    color: var(--bright-color);
    font-size: 30px;
    margin-top: 10px;
    font-weight: 700;
    text-align: center;
}

.main__list_grid{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px 0;
    padding: 0;
    list-style: none;
}

/* politics */

.politic__title{
    margin-top: 50px;
    text-align: left;
    width: 100%;
}

.politic__subtitle{
    margin-top: 30px;
}

.politic__text{
    margin-top: 15px;
}

/* footer */

.footer{
    width: 100%;
    background-color: var(--header-color);
    margin-top: auto;
    padding: 10px 0;
}

.footer__wrapper{
    display: flex;
    justify-content: space-between;
    font-size: 14px;
}

.contract-offer{
    color: inherit
}


/* media */

@media (max-width: 1024px){
    .header__wrapper{
        flex-direction: column;
        gap: 10px;
    }

    .main{
        padding-top: 140px;
    }

    .main__img{
        padding-top: 60%;
        width: 40%;
    }

    .main__text{
        width: 55%;
    }
    
    .main__list_grid{
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 769px){
    .header__wrapper{
        flex-direction: row;
    }

    .header__nav {
        position: absolute;
        width: 100%;
        height: 90vh;
        top: 88px;
        left: -100%;
        background-color: var(--header-color);
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: center;
        transition: .2s ease-in-out;
    }

    .header__nav ul{
        flex-direction: column;
        gap: 30px;
    }

    .nav__link{
        font-size: 1.4rem;
    }

    .header__burger-btn{
        display: block;
    }

    .main{
        padding-top: 90px;
    }

    .main__wrapper{
        flex-direction: column;
    }

    .main__img{
        width: 65%;
        padding-top: 95%;
    }

    .main__text{
        width: 100%;
        margin-top: 30px;
    }

    .main__text-item.contacts{
        text-align: center;
    }

    .main__text-item.contacts span{
        display: block;
    }
    
    .main__list-item_grid{
        text-align: center;
    }
    
    .main__list-item_grid ul{
        list-style: none;
        padding: 0;
    }
    
    .footer__wrapper{
        flex-direction: column;
        gap: 10px;
        text-align: center;
    }

}

@media (max-width: 426px){
    .nav__link {
        font-size: 1.2rem;
    }

    .main__img{
        width: 85%;
        padding-top: 120%;
    }

    .main__title{
        font-size: 26px;
    }

    .main__text-title{
        font-size: 26px;
    }

    .politic__title{
        font-size: 26px;
    }
    
    .politic__subtitle{
        font-size: 22px;
    }
    
    .main__list_grid{
        grid-template-columns: 1fr;
    }
}


